com.holonplatform.datastore.jpa.querydsl.internal

## Class DefaultQueryDslProperty<T>

- java.lang.Object
- - com.holonplatform.core.internal.property.AbstractProperty<T,P,B>
  - - com.holonplatform.core.internal.property.AbstractPathProperty<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>
    - - com.holonplatform.datastore.jpa.querydsl.internal.DefaultQueryDslProperty<T>

- Type Parameters:
    `T` - Property type
  All Implemented Interfaces:
    com.holonplatform.core.ConverterExpression<T>, com.holonplatform.core.DataMappable, com.holonplatform.core.DataMappable.Builder<QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.Expression, com.holonplatform.core.HasConfiguration<com.holonplatform.core.property.PropertyConfiguration>, com.holonplatform.core.i18n.Localizable, com.holonplatform.core.i18n.Localizable.Builder<QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.Path<T>, com.holonplatform.core.Path.Builder<T,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.property.CloneableProperty<T,com.holonplatform.core.property.PathProperty<T>,com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>>, com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,com.holonplatform.core.property.PathProperty<T>>, com.holonplatform.core.property.PathProperty<T>, com.holonplatform.core.property.PathProperty.Builder<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.property.Property<T>, com.holonplatform.core.property.Property.Builder<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>, com.holonplatform.core.query.PathExpression<T>, com.holonplatform.core.query.QueryExpression<T>, com.holonplatform.core.query.QueryProjection<T>, com.holonplatform.core.TypedExpression<T>, com.holonplatform.core.Validator.Validatable<T>, com.holonplatform.core.Validator.ValidatorSupport<T>, QueryDslProperty<T>, QueryDslProperty.QueryDslPropertyBuilder<T>, Serializable

      public class DefaultQueryDslProperty<T>
      extends com.holonplatform.core.internal.property.AbstractPathProperty<T,QueryDslProperty<T>,QueryDslProperty.QueryDslPropertyBuilder<T>>
      implements QueryDslProperty.QueryDslPropertyBuilder<T>

  Default `QueryDslProperty` implementation.
  Since:
    4.5.0
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `QueryDslProperty.QueryDslPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `com.holonplatform.core.property.PathProperty.Builder<T,P extends com.holonplatform.core.Path<T> & com.holonplatform.core.property.Property<T>,B extends com.holonplatform.core.property.PathProperty.Builder<T,P,B>>, com.holonplatform.core.property.PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,P extends com.holonplatform.core.property.Property<T> & com.holonplatform.core.Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `com.holonplatform.core.property.Property.PropertyAccessException, com.holonplatform.core.property.Property.PropertyNotFoundException, com.holonplatform.core.property.Property.PropertyReadException, com.holonplatform.core.property.Property.PropertyReadOnlyException, com.holonplatform.core.property.Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `com.holonplatform.core.i18n.Localizable.LocalizableBuilder, com.holonplatform.core.i18n.Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultQueryDslProperty(com.querydsl.core.types.Path<T> path)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.holonplatform.core.property.PathProperty<T>` | `clone(Consumer<com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>> builder)`
    `com.querydsl.core.types.Path<T>` | `getPath()` Get the QueryDSL property path

    - ### Methods inherited from class com.holonplatform.core.internal.property.AbstractPathProperty

      `dataPath, getDataPath, getName, getParent, parent, toString, validate`

    - ### Methods inherited from class com.holonplatform.core.internal.property.AbstractProperty

      `addValidator, converter, converter, equals, equalsHandler, getConfiguration, getConverter, getMessage, getMessageArguments, getMessageCode, getType, getValidators, hashCode, hashCodeProvider, localization, message, message, messageArguments, messageCode, removeValidator, temporalType, validate, withConfiguration, withValidator`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.core.Path.Builder

      `parent`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable.Builder

      `dataPath`

    - ### Methods inherited from interface com.holonplatform.core.property.Property.Builder

      `configuration, configuration, converter, converter, equalsHandler, hashCodeProvider, localization, temporalType, validator, withConfiguration, withConfiguration, withValidator`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable.Builder

      `message, message, messageArguments, messageCode`

    - ### Methods inherited from interface com.holonplatform.datastore.jpa.querydsl.QueryDslProperty

      `of`

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Constructor Detail

    - #### DefaultQueryDslProperty

          public DefaultQueryDslProperty(com.querydsl.core.types.Path<T> path)

      Constructor
      Parameters:
        `path` - Property path (required not null)

  - ### Method Detail

    - #### getPath

          public com.querydsl.core.types.Path<T> getPath()

      Description copied from interface: `QueryDslProperty`
      Get the QueryDSL property path
      Specified by:
        `getPath` in interface `QueryDslProperty<T>`
      Returns:
        Property path

    - #### clone

          public com.holonplatform.core.property.PathProperty<T> clone(Consumer<com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>> builder)

      Specified by:
        `clone` in interface `com.holonplatform.core.property.CloneableProperty<T,com.holonplatform.core.property.PathProperty<T>,com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>>`

Copyright © 2019 The Holon Platform. All rights reserved.